=== debian/changelog ===
hatari (1.7.0-1) unstable; urgency=low

  * New upstream version.
    Highlights:
    - Improvements in the debugger and profiler.
    - Full 6850 ACIA implementation, resulting in better IKBD (keyboard)
      emulation.
  * Refresh patches 01-fix-conftypes-py-build-path and
    02-fix-manpage-hyphens.
  * Add 03-fix-py-extension to drop .py from an installed script.
  * Bump standards-version to 3.9.4, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 14 Jul 2013 15:52:40 +0100
