=== debian/watch ===
version=3
        http://download.tuxfamily.org/hatari/(\d\.\d\.\d)/hatari-(.*).tar.bz2
