## hatari 1.8.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,10 @@
 
 cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
+
+if(POLICY CMP0026)
+	# Should be removed if cmake_minimum_required >= 2.8.8
+	cmake_policy(SET CMP0026 OLD)
+endif(POLICY CMP0026)
 
 project(Hatari C)
 
@@ -86,17 +91,10 @@
 
 find_package(Readline)
 if(READLINE_FOUND)
-	set(CMAKE_REQUIRED_LIBRARIES "readline")
-	check_function_exists(rl_filename_completion_function HAVE_RL_COMPLETION_FUNCTION)
-	if(HAVE_RL_COMPLETION_FUNCTION)
-		set(HAVE_LIBREADLINE 1)
-	else()
-		unset(READLINE_FOUND)
-	endif(HAVE_RL_COMPLETION_FUNCTION)
-	set(CMAKE_REQUIRED_LIBRARIES "")
+	set(HAVE_LIBREADLINE 1)
 endif(READLINE_FOUND)
 
-find_package(ZLIB REQUIRED)
+find_package(ZLIB)
 if(ZLIB_FOUND)
 	set(HAVE_LIBZ 1)
 	set(HAVE_ZLIB_H 1)
@@ -107,15 +105,22 @@
 	set(HAVE_LIBPNG 1)
 endif(PNG_FOUND)
 
-find_package(X11)
-if(X11_FOUND)
-	set(HAVE_X11 1)
-endif(X11_FOUND)
+if (NOT ENABLE_OSX_BUNDLE)
+	find_package(X11)
+	if(X11_FOUND)
+		set(HAVE_X11 1)
+	endif(X11_FOUND)
+endif()
 
 find_package(PortAudio)
 if(PORTAUDIO_FOUND)
 	set(HAVE_PORTAUDIO 1)
 endif(PORTAUDIO_FOUND)
+
+find_package(CapsImage)
+if(CAPSIMAGE_FOUND)
+	set(HAVE_CAPSIMAGE 1)
+endif(CAPSIMAGE_FOUND)
 
 # ################
 # CPP Definitions:
@@ -164,6 +169,8 @@
 check_function_exists(alphasort HAVE_ALPHASORT)
 check_function_exists(scandir HAVE_SCANDIR)
 check_function_exists(statvfs HAVE_STATVFS)
+check_function_exists(fseeko HAVE_FSEEKO)
+check_function_exists(ftello HAVE_FTELLO)
 
 # #############
 # Other CFLAGS:
@@ -232,7 +239,14 @@
 		set(ETCDIR /etc)
 	endif()
 endif()
-add_definitions(-DCONFDIR=\"${ETCDIR}\")
+
+if(ENABLE_OSX_BUNDLE)
+	# Use OSX native alert windows and put the config files in the app's bundle
+	add_definitions(-DALERT_HOOKS=1)
+	add_definitions(-DCONFDIR=\"../Resources\")
+else()
+	add_definitions(-DCONFDIR=\"${ETCDIR}\")
+endif()
 
 # #########################################
 # Create config.h and recurse into subdirs:
@@ -252,3 +266,47 @@
 
 add_custom_target(uninstall
     COMMAND ${CMAKE_COMMAND} -P ${CMAKE_SOURCE_DIR}/cmake/Uninstall.cmake)
+
+
+# ###################################################################
+# Print a summary of the optional libraries with a short explanation:
+# ###################################################################
+
+message( "
+Optional libraries summary :
+----------------------------
+")
+
+if(READLINE_FOUND)
+  message( "  - readline : found, enable history/completion in the debugger" )
+else()
+  message( "  - readline : not found, install it if you wish to enable history/completion in the debugger" )
+endif(READLINE_FOUND)
+
+if(ZLIB_FOUND)
+  message( "  - zlib : found, allow to use zip/gz files directly" )
+else()
+  message( "  - zlib : not found, install it if you wish to use zip/gz files" )
+endif(ZLIB_FOUND)
+
+if(PNG_FOUND)
+  message( "  - png : found, allow to compress screenshot/avi files using png" )
+else()
+  message( "  - png : not found, install it if you wish to compress screenshot/avi files using png" )
+endif(PNG_FOUND)
+
+if(PORTAUDIO_FOUND)
+  message( "  - portaudio : found, enable the microphone input in Falcon mode" )
+else()
+  message( "  - portaudio : not found, install it if you wish to enable the microphone input in Falcon mode" )
+endif(PORTAUDIO_FOUND)
+
+if(CAPSIMAGE_FOUND)
+  message( "  - libcapsimage : v${CAPSIMAGE_VERSION} found, allow to use .IPF, .RAW and .CTR disk images" )
+else()
+  message( "  - libcapsimage : v${CAPSIMAGE_VERSION} not found, install it if you wish to use .IPF, .RAW and .CTR disk images" )
+endif(CAPSIMAGE_FOUND)
+
+message( "" )
+
+
