=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 	acia.c audio.c avi_record.c bios.c blitter.c cart.c cfgopts.c
 	clocks_timings.c configuration.c options.c change.c
 	control.c cycInt.c cycles.c dialog.c dmaSnd.c fdc.c file.c
-	floppy.c gemdos.c hd6301_cpu.c hdc.c ide.c ikbd.c ioMem.c
+	floppy.c floppy_ipf.c floppy_stx gemdos.c hd6301_cpu.c hdc.c ide.c ikbd.c ioMem.c
 	ioMemTabST.c ioMemTabSTE.c ioMemTabTT.c ioMemTabFalcon.c joy.c
 	keymap.c m68000.c main.c midi.c memorySnapShot.c mfp.c
 	paths.c  psg.c printer.c resolution.c rs232.c reset.c rtc.c
@@ -22,6 +22,9 @@
 	set_source_files_properties(${GUIOSX_SOURCES} PROPERTIES LANGUAGE C)
 	set(GUIOSX_RSRCS
 	    gui-osx/Hatari.icns gui-osx/English.lproj gui-osx/French.lproj)
+	set(GUIOSX_DOCS
+	    ${CMAKE_SOURCE_DIR}/doc/manual.html ${CMAKE_SOURCE_DIR}/doc/images
+	    ${CMAKE_SOURCE_DIR}/doc/compatibility.html)
 endif(ENABLE_OSX_BUNDLE)
 
 # When building for Windows, define specific sources for gui and resources
@@ -66,22 +69,33 @@
 
 # When building for OSX, add specific sources
 if(ENABLE_OSX_BUNDLE)
-	add_executable(hatari MACOSX_BUNDLE ${GUIOSX_RSRCS} ${SOURCES} ${GUIOSX_SOURCES})
+	add_executable(hatari MACOSX_BUNDLE ${GUIOSX_RSRCS} ${GUIOSX_DOCS} ${SOURCES} ${GUIOSX_SOURCES})
 	set_target_properties(hatari PROPERTIES MACOSX_BUNDLE_INFO_PLIST
 			      ${CMAKE_CURRENT_SOURCE_DIR}/gui-osx/Info-Hatari.plist)
 	set(MACOSX_BUNDLE_ICON_FILE Hatari.icns)
+	if(CMAKE_GENERATOR MATCHES "Xcode")
+		set(BUNDLE_CONTENTS ${CMAKE_CURRENT_BINARY_DIR}/\${CONFIGURATION}/Hatari.app/Contents)
+	else()
+		set(BUNDLE_CONTENTS ${CMAKE_CURRENT_BINARY_DIR}/Hatari.app/Contents)
+	endif()
 	# Create Hatari.app bundle
 	add_custom_target(osx_bundle_dirs
-			COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/Hatari.app/Contents/Resources
-			COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/Hatari.app/Contents/MacOS
+			COMMAND mkdir -p ${BUNDLE_CONTENTS}/Resources
+			COMMAND mkdir -p ${BUNDLE_CONTENTS}/MacOS
 			COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/gui-osx/${MACOSX_BUNDLE_ICON_FILE}
-				   ${CMAKE_CURRENT_BINARY_DIR}/Hatari.app/Contents/Resources/${MACOSX_BUNDLE_ICON_FILE}
+				   ${BUNDLE_CONTENTS}/Resources/${MACOSX_BUNDLE_ICON_FILE}
 			# Copy Localized .nib to Bundle
-			COMMAND cp -R ${CMAKE_CURRENT_SOURCE_DIR}/gui-osx/*.lproj ${CMAKE_CURRENT_BINARY_DIR}/Hatari.app/Contents/Resources/
-	)	
+			COMMAND cp -R ${CMAKE_CURRENT_SOURCE_DIR}/gui-osx/*.lproj ${BUNDLE_CONTENTS}/Resources/
+			COMMAND mkdir -p ${BUNDLE_CONTENTS}/Resources/English.lproj/HatariHelp
+			COMMAND cp -R ${GUIOSX_DOCS} ${BUNDLE_CONTENTS}/Resources/English.lproj/HatariHelp/
+			COMMAND mkdir -p ${BUNDLE_CONTENTS}/Resources/French.lproj/HatariHelp
+			COMMAND cp -R ${GUIOSX_DOCS} ${BUNDLE_CONTENTS}/Resources/French.lproj/HatariHelp/
+	)
 	add_dependencies(hatari osx_bundle_dirs)
-	set_source_files_properties(${GUIOSX_RSRCS}
-			PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
+	set_source_files_properties(${GUIOSX_RSRCS} PROPERTIES
+				    MACOSX_PACKAGE_LOCATION Resources)
+	set_source_files_properties(${GUIOSX_DOCS} PROPERTIES
+				    MACOSX_PACKAGE_LOCATION Resources/English.lproj/HatariHelp)
 
 # When building for Windows, add specific sources + method to compile .rc files
 elseif(WIN32)
@@ -129,6 +143,10 @@
 	target_link_libraries(hatari ${PORTAUDIO_LIBRARY})
 endif(PORTAUDIO_FOUND)
 
+if(CAPSIMAGE_FOUND)
+	target_link_libraries(hatari ${CAPSIMAGE_LIBRARY})
+endif(CAPSIMAGE_FOUND)
+
 if(WIN32)
 	# Needed for socket() on Windows
 	target_link_libraries(hatari ws2_32)
