=== debian/changelog ===
hatari (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
    Highlights:
    - Accurate timings for floppy access.
    - Support for Pasti STX floppy images.
    - Support new Native Features, allowing emulated code to affect the
      emulator (NF_EXIT, NF_DEBUGGER, NF_FASTFORWARD).
    - Release mouse when debugger is invoked.
    - "quit" debugger command bypasses exit confirmation dialog.
    - Current program's debugging symbols are loaded automatically when
      entering the debugger.
  * Repack source, removing src/tos.img. It is licensed under GPLv2, but
    source code is not included with hatari. Add appropriate
    Files-Excluded line to debian/copyright.
  * Add menu entry for the python GTK hatari UI.
  * Update years in debian/copyright.
  * Refresh debian/patches/02-fix-manpage-hyphens.patch.
  * Add debian/patches/04-fix-typo-in-manpage.patch, as identified by
    lintian.
  * Bump standards-version to 3.9.5, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Wed, 30 Jul 2014 22:07:40 +0100
