=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libreadline-dev,
                portaudio19-dev,
                python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://hatari.tuxfamily.org/
 
 Package: hatari
