=== debian/watch ===
version=3
        opts=dversionmangle=s/\+dfsg// \
        http://download.tuxfamily.org/hatari/(\d\.\d\.\d)/hatari-(.*).tar.bz2
